- NAME
- ARGUMENTS
  - query - query string
  - with_linked - boolen
  - apply_query_to_linked - boolean

# NAME

RT::Shredder::Plugin::Tickets - search plugin for wiping tickets.

# ARGUMENTS

## query - query string

Search tickets with query string. Examples: Queue = 'my queue' AND ( Status = 'deleted' OR Status = 'rejected' ) LastUpdated < '2003-12-31 23:59:59'

Hint: You can construct query with the query builder in RT's web interface and then open advanced page and copy query string.

Arguments `queue`, `status` and `updated_before` have been dropped as you can easy make the same search with the `query` option. See examples above.

## with_linked - boolen

Deletes all tickets that are linked to tickets that match query.

## apply_query_to_linked - boolean

Delete linked tickets only if those too match query.

See also with_linked.

← Back to index